package kr.co.hanwha.hifive.data.model;

import kr.co.hanwha.hifive.enums.TaskViewHolderType;

/**
 * Created by sanghoonkwon on 2018. 1. 31..
 */

public class TaskListViewHolderData {
    TaskViewHolderType type;
    TaskListData data;
    String title;
    int intValue;

    public TaskListViewHolderData(TaskViewHolderType type, TaskListData data) {
        this.type = type;
        this.data = data;
    }

    public TaskListViewHolderData(TaskViewHolderType type, String title, int intValue) {
        this.type = type;
        this.title = title;
        this.intValue = intValue;
    }

    public TaskViewHolderType getType() {
        return type;
    }

    public TaskListData getData() {
        return data;
    }

    public String getTitle() {
        return title;
    }

    public int getIntValue() {
        return intValue;
    }
}
